#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D u_texture;

varying vec2 v_texCoords;
varying vec4 v_color;

void main()
{
    vec4 texel = texture2D(u_texture, v_texCoords);

    texel.r *= v_color.r;
    texel.g *= v_color.g;
    texel.b *= v_color.b;
    texel.a *= v_color.a;

    gl_FragColor = texel;

}